Bug 1431292 - pmatop -w fails, bad -T argument to pmlogger
Summary: pmatop -w fails, bad -T argument to pmlogger
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pcp
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lukas Berk
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-10 21:33 UTC by Frank Ch. Eigler
Modified: 2017-07-26 22:51 UTC (History)
8 users (show)

Fixed In Version: pcp-3.12.0-1.fc24 pcp-3.12.0-1.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-07-26 21:18:18 UTC


Attachments (Terms of Use)

Description Frank Ch. Eigler 2017-03-10 21:33:37 UTC
f25, pcp 3.11.8 x86-64

% strace -eexecve -f pmatop -w foo2
execve("/usr/bin/pmatop", ["pmatop", "-w", "foo2"], [/* 67 vars */]) = 0
strace: Process 2043 attached
[pid  2043] execve("/usr/libexec/pcp/bin/pmlogger", ["pmlogger", "-T42949672950.000seconds", "-x", "6", "-h", "local:", "-l", "qNOsHk.local:.log", "-c", "qNOsHk.local:.config", "qNOsHk.local:"], [/* 119 vars */]) = 0
strace: Process 2044 attached
[pid  2044] +++ exited with 0 +++
[pid  2043] --- SIGCHLD {si_signo=SIGCHLD, si_code=CLD_EXITED, si_pid=2044, si_uid=500, si_status=0, si_utime=0, si_stime=0} ---

% tail foo2/*log
Warning [qNOsHk.local:.config, line 280]
Problem with lookup for metric "proc.namespaces.vpid" ... logging not activated
Reason: Unknown metric name
Config parsed
Starting logger for host "very.elastic.org" via "local:"
pmlogger: illegal -T argument
42949672950.000seconds
^ -- unexpected value

Comment 1 Frank Ch. Eigler 2017-03-10 21:51:08 UTC
This big number comes from  src/pcp/atop/atop.c
  atop.c:   static unsigned int     nsamples = 0xffffffff;
being multiplied by
  various.c: interval = /*10*/
 
For an infinite number of samples, pmatop shouldn't pass -Txxx at all.

Comment 2 Fedora Update System 2017-06-30 02:13:19 UTC
pcp-3.12.0-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-d29400ff30

Comment 3 Fedora Update System 2017-06-30 02:14:57 UTC
pcp-3.12.0-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-9103ca28d1

Comment 4 Fedora Update System 2017-06-30 23:21:56 UTC
pcp-3.12.0-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-d29400ff30

Comment 5 Fedora Update System 2017-06-30 23:22:37 UTC
pcp-3.12.0-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-9103ca28d1

Comment 6 Fedora Update System 2017-07-26 21:18:18 UTC
pcp-3.12.0-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2017-07-26 22:51:42 UTC
pcp-3.12.0-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.